<?php

namespace KupShop\OrderingBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use KupShop\I18nBundle\Entity\Currency;

/**
 * DeliveryTypePayment.
 *
 * @ORM\Table(name="delivery_type_payment", uniqueConstraints={@ORM\UniqueConstraint(name="name", columns={"name"})})
 *
 * @ORM\Entity
 */
class DeliveryTypePayment
{
    public function getId(): int
    {
        return $this->id;
    }

    public function setId(int $id)
    {
        $this->id = $id;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name)
    {
        $this->name = $name;
    }

    public function getPrice(): string
    {
        return $this->price;
    }

    public function setPrice(string $price)
    {
        $this->price = $price;
    }

    public function getCurrency(): Currency
    {
        return $this->currency;
    }

    public function setCurrency(Currency $currency)
    {
        $this->currency = $currency;
    }

    public function getClass(): string
    {
        return $this->class;
    }

    public function setClass(string $class)
    {
        $this->class = $class;
    }

    public function getPhoto(): string
    {
        return $this->photo;
    }

    public function setPhoto(string $photo)
    {
        $this->photo = $photo;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function setDescription(string $description)
    {
        $this->description = $description;
    }

    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     *
     * @ORM\Id
     *
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=50, nullable=false)
     */
    private $name;

    /**
     * @var string
     *
     * @ORM\Column(name="price", type="decimal", precision=15, scale=4, nullable=false)
     */
    private $price = '0.0000';

    /**
     * @var Currency
     *
     * dělá průšvih když není zapnutej i18n bundle
     * ORM\ManyToOne(targetEntity="KupShop\I18nBundle\Entity\Currency")
     * ORM\JoinColumn(name="id_currency", referencedColumnName="id", onDelete="CASCADE", nullable=false)
     */
    private $currency;

    /**
     * @var string
     *
     * @ORM\Column(name="class", type="string", length=20, nullable=true)
     */
    private $class;

    /**
     * @var string
     *
     * @ORM\Column(name="photo", type="string", length=50, nullable=true)
     */
    private $photo;

    /**
     * @var string
     *
     * @ORM\Column(name="description", type="text", length=16777215, nullable=true)
     */
    private $description;
}
